# -*- coding: utf-8 -*-
"""
fichier de configuration pour créole

"""
from os.path import join, isfile

eoledir = '/usr/share/eole'

eoleroot = join(eoledir, 'creole')

# chemin du répertoire source des fichiers templates
templatedir = '/var/lib/creole'

distrib_dir = join(eoleroot, 'distrib')
patch_dir = join(eoleroot, 'patch')

# repertoire de la dtd
dtddir = '/usr/share/creole'
if isfile('data/creole.dtd'):
    dtdfilename = 'data/creole.dtd'
elif isfile('../creole/data/creole.dtd'):
    dtdfilename = '../creole/data/creole.dtd'
else:
    dtdfilename = join(dtddir, 'creole.dtd')
